## org.firebirdsql.gds.impl
Interface GDSFactoryPlugin

All Known Implementing Classes:
  EmbeddedGDSFactoryPlugin, LocalGDSFactoryPlugin, NativeGDSFactoryPlugin, WireGDSFactoryPlugin

    public interface GDSFactoryPlugin

Method Summary
`Class` `getConnectionClass()`
`String` `getDatabasePath(String jdbcUrl)`
`String` `getDatabasePath(String server, Integer port, String path)`
`String` `getDefaultProtocol()`
`GDS` `getGDS()`
`String` `getPluginName()`
`String[]` `getSupportedProtocols()`
`String[]` `getTypeAliases()`
`String` `getTypeName()`

Method Detail

### getPluginName

    String getPluginName()

### getTypeName

    String getTypeName()

### getTypeAliases

    String[] getTypeAliases()

### getConnectionClass

    Class getConnectionClass()

### getDefaultProtocol

    String getDefaultProtocol()

### getSupportedProtocols

    String[] getSupportedProtocols()

### getGDS

    GDS getGDS()

### getDatabasePath

    String getDatabasePath(String server,
                           Integer port,
                           String path)
                           throws GDSException

  Throws:
    `GDSException`

### getDatabasePath

    String getDatabasePath(String jdbcUrl)
                           throws GDSException

  Throws:
    `GDSException`

Copyright © 2001-2010. All Rights Reserved.